<div class="feature-section one-col">
	<div class="col">
		<h2 style="font-size: 2.5em;"><?php echo __( 'Powerful, Yet Simple, Image Gallery Plugin', 'modula-gallery' ); ?></h2>
		<p class="lead-description"><?php echo __( 'Modula helps <u>casual users</u> create an image gallery in 30s or less.', 'modula-gallery' ); ?></p>
		<p><?php echo __( 'Modula is a WordPress photo and image gallery plugin that makes it easy for users of all levels to build beautiful grid galleries. Modula’s <u>unique grid system</u> ensures your gallery avoids the boring square look found in many other plugins. Just give Modula a size and a list of images and it does all the work for you. If you’re a casual WordPress user, you can create a stylish gallery in seconds without digging into detailed settings pages. ', 'modula-gallery' ); ?></p>
		<div class="center">
			<a href="https://www.wp-modula.com/?utm_source=worg&utm_medium=about-page&utm_campaign=upsell" target="_blank" class="button button-primary button-hero"><span class="dashicons dashicons-cart"></span>
				<?php echo __( 'Get Modula Pro', 'modula-gallery' ); ?>
			</a>
		</div>
	</div>
</div>

<hr/>

<h2><?php _e( 'Modula\'s Main Features' ); ?></h2>

<div class="feature-section three-col">
	<div class="col">
		<h3><?php echo __( 'Stylish & Complex Layouts', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Stylish grids that go beyond the boring squares. With Modula, creating a stylish and good looking image gallery this is no longer the case. ', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Gallery Filters', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Let visitors filter your gallery items with a single click. Create as many gallery filters as you want. These filters also <u>work in real-time</u> ⭐', 'modula-gallery' ); ?></p>
	</div>
	<div class="col">
		<h3><?php echo __( 'Multiple Gallery Support', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Modula allows you to add as many galleries as you want to the same page. Modula is very versatile & flexible. You should take it our for a spin. ', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Widget Support', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Display your galleries inside WordPress widgets. This makes Modula really powerful. Display your image galleries where your heart desires.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Responsive & Retina-ready', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Every gallery created with Modula is responsive, mobile ready & retina ready. <b>Your galleries will look beautiful on any device</b>, and any display.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Custom Caption Support', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'This feature deserves a parade down the center of town! Spruce up your image galleries with custom captions, animations & colors.', 'modula-gallery' ); ?></p>
	</div>
</div>

<div class="center">
	<a href="https://www.wp-modula.com/?utm_source=worg&utm_medium=about-page&utm_campaign=upsell" target="_blank" class="button button-primary button-hero"><span class="dashicons dashicons-cart"></span>
		<?php echo __( 'Get Modula Pro!', 'modula-gallery' ); ?></a>
</div>

<br/>
<hr/>

<div class="feature-section three-col">

	<div class="col">
		<h3><?php echo __( 'Multiple LightBox Support', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Modula <b>supports 6 different lightbox scripts</b>: <em>Lightgallery, Lightbox2, PrettyPhoto, Magnific Gallery, SwipeBox and FancyBox</em>. Showcase your image galleries with style.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Social Sharing Friendly', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Built-in social sharing buttons that will help you boost your page views. <b>Reach your audience faster and easier</b> with social tools built-in.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Multiple Image Hover Effects', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Choose from 12 different hover effects. Pick the ones that best represent your personality. Easily <u>showcase your images in style</u>.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Make It Your Own', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Build your own effects for even more control. Complex, built-in, styles will help you personalize Modula to your own liking.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Security Updates', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Modula is constantly evolving. New features & security updates are first released for PRO users.', 'modula-gallery' ); ?></p>
	</div>

	<div class="col">
		<h3><?php echo __( 'Premium & Priority Support', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'If you need help just post a ticket and our tech guys will get back to you asap. We have a stellar support team ready to help you in no time.', 'modula-gallery' ); ?></p>
	</div>

</div>

<hr/>

<div class="feature-section two-col">
	<div class="col">
		<h3><?php echo __( 'Built on Material Design', 'modula-gallery' ); ?></h3>
		<p><?php echo __( 'Modula is built entirely on Material Design principles. Starting with the code layout and finishing up with the smallest animation, Modula screams Material Design from it\'s every pore. <br \/><br \/> Based on the most popular front-end design framework of the century, we\'ve striven to create a modern, flexible and beautiful implementation of Material Design in Modula. <br \/><br \/> We believe you\'ll <b>enjoy it</b>!', 'modula-gallery' ); ?></p>
	</div>
	<div class="col">
		<img src="<?php echo esc_url( MODULA_PLUGIN_DIR_URL ); ?>admin/images/material-design.gif" alt="Material Design GIF">
	</div>
</div>

<hr/>

<hr/>

<div class="changelog">
	<h2><?php
		printf( /* translators: %s: smiling face with smiling eyes emoji */
			__( 'Even More Plugin Flexibility %s', 'modula-gallery' ), '&#x1F60A' );
		?></h2>

	<div class="under-the-hood three-col">
		<div class="col">
			<h3><?php echo __( 'Drag & Drop Images', 'modula-gallery' ); ?></h3>
			<p><?php echo __( 'Re-ordering couldn\'t be easier. Just drag & drop your images around until you find the perfect positioning. Be done in 30s or less.', 'modula-gallery' ); ?></p>
		</div>
		<div class="col">
			<h3><?php echo __( 'Custom Scripts & CSS Support', 'modula-gallery' ); ?></h3></h3>
			<p><?php echo __( 'Modula comes with built-in custom CSS support. Want to style one of your galleries in a particular way? Add some CSS. Want to include a custom tracking script in just one of your galleries? Add away. Simplicity, at it\'s best.', 'modula-gallery' ); ?></p>
		</div>
		<div class="col">
			<h3><?php echo __( 'Developer Friendly' ); ?></h3>
			<p><?php echo __( 'Modula\'s been built with both the user & the developer in mind. Friendly code, well documented so you can easily add your changes. Filters & Hooks, included with every purchase.', 'modula-gallery' ); ?></p>
		</div>

	</div>
</div>

<div class="center">
	<a href="https://www.wp-modula.com/?utm_source=worg&utm_medium=about-page&utm_campaign=upsell" target="_blank" class="button button-primary button-hero"><span class="dashicons dashicons-cart"></span>
		<?php echo __( 'Get Modula Pro!', 'modula-gallery' ); ?></a>
</div><br/>
